Package csb :: Package statistics :: Module mixtures :: Class SegmentMixture

[frames] | no frames]

# Class SegmentMixture

source code

              object --+
                       |
         GaussianMixture --+
                           |
    AbstractStructureMixture --+
                               |
                              SegmentMixture

Gaussian mixture model for protein structure ensembles using a set of segments

If `X` is the coordinate array of a protein structure ensemble which can be decomposed into 2 rigid segments, the segmentation will be found by:

    >>> mixture = SegmentMixture(X, 2)

The segment membership of each atom is given by:

    >>> mixture.membership
    array([0, 0, 0, ..., 1, 1, 1])

Nested Classes
Inherited from `AbstractStructureMixture`: `__metaclass__`

Instance Methods

estimate_T(self) Estimate superpositions | source code

estimate_means(self) Update means from current model and samples | source code

Inherited from `AbstractStructureMixture`: `__init__`, `datapoint`, `m_step`

Inherited from `GaussianMixture`: `anneal`, `del_cache`, `e_step`, `em`, `estimate_scales`, `increment_K`, `overlap`, `randomize_means`, `randomize_scales`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Methods
Inherited from `GaussianMixture`: `new`, `series`

Class Variables
| __abstractmethods__ = ``frozenset([``])``
Inherited from `GaussianMixture`: `ALPHA_SIGMA`, `BETA_SIGMA`, `MIN_SIGMA`, `use_cache`

Properties
Inherited from `AbstractStructureMixture`: `R`, `t` Inherited from `GaussianMixture`: `BIC`, `K`, `M`, `N`, `delta`, `dimension`, `log_likelihood`, `log_likelihood_reduced`, `means`, `membership`, `scales`, `sigma`, `w` Inherited from `object`: `__class__`

Method Details

### estimate_T(self)

source code

Estimate superpositions

Overrides: AbstractStructureMixture.estimate_T
  (inherited documentation)

### estimate_means(self)

source code

Update means from current model and samples

Overrides: GaussianMixture.estimate_means
  (inherited documentation)